Getting Started

PCAN-View is an easy to use monitoring program to supervise the data flow on a Controller Area Network (CAN). It is based on the PCAN system by PEAK-System Technik GmbH. This system's kernel is responsible for the connection of Windows applications to a CAN Bus connected to the PC in real time manner.

PCAN-View has the following features:

  • Received CAN messages are displayed with ID, Data Length, and data bytes in a list. Additionally, the number of messages that have the same ID, and the time delay between the last two of those messages are shown.

  • Received Remote Request frames are shown.

  • Any number of data messages or Remote Request frames can be added to a Transmit list. These messages can either be transmitted manually, automatically in fixed time intervals, or as answers to received Remote Request frames.

  • Error Frames on the CAN bus are shown.

  • Transmit Lists can be saved and loaded to and from files.

  • Up to 1,000,000 CAN messages can be recorded by a tracer, either in Ring Buffer or Linear Buffer mode.

  • The Device ID of a PCAN hardware can be set if the hardware supports this feature.

Additional features that apply in connection with a PCAN-USB Pro, PCAN-USB FD, and PCAN-USB Pro FD:

  • The Bus Load on the connected CAN channel is shown in a bar graph and in a history graph.

  • Error Frames can be generated.

How to use the Online Help

When you click a Help button from within a dialog box, a Help window appears, and a context-sensitive topic is displayed for that dialog box. You can also press F1 on the keyboard in any window of PCAN-View to display a help topic for that window or tab.

You can also use the Contents and Search tabs in the left pane of the Help window to locate topics of interest. When you perform a search, the results are displayed by topic title.

How to...

  • Connecting to CAN Hardware

  • Receiving CAN Messages

  • Transmitting CAN Messages

  • Editing the Transmit List

  • Recording CAN Messages

See also

PCAN System Basics

Contact Information / Copyrights

Send Feedback | Copyright © 2017 PEAK-System Technik GmbH. All rights reserved.


PCAN System Basics

PCAN is a synonym for PEAK CAN APPLICATIONS and is a flexible system for planning, developing, and using a CAN Bus System. Developers as well as end users are getting a helpful and powerful product.

Basis for the communication between PCs and external hardware via CAN is a series of Windows Kernel Mode Drivers (Virtual Device Drivers) e.g. PCAN_USB.SYS, PCAN_PCI.SYS, PCAN_xxx.SYS. These drivers are the core of a complete CAN environment on a PC running Windows and work as interfaces between CAN software and PC-based CAN hardware. The drivers manage the entire data flow of every CAN device connected to the PC.

A user or administrator of a CAN installation gets access via the PCAN-Clients (short: Clients). Several parameters of processes can be visualized and changed with their help. The drivers allow the connection of several Clients at the same time.

Furthermore, several hardware components based on the SJA1000 CAN controller are supported by a PCAN driver. So-called Nets provide the logical structure for CAN busses, which are virtually extended into the PC. On the hardware side, several Clients can be connected, too. The following figures demonstrate different possibilities of Net configurations (also realizable at the same time):

PCAN-System Features

  • One Client can be connected to several Nets

  • One Net provides several Clients

  • One piece of hardware belongs to one Net

  • One Net can include none or one piece of hardware

  • A message from a transmitting Client is carried on to every other connected Client, and to the external bus via the connected CAN hardware

  • A message received by the CAN hardware is received by every connected Client. However, Clients react only on those messages that pass their acceptance filter.

Users of PCAN-View do not have to define and manage Nets. If PCAN-View is instructed to connect directly to a PCAN hardware, the application automatically creates a Net for the selected hardware, and automatically establishes a connection with this Net.


Contact Information / Copyright

PCAN-View is a product of:

PEAK-System Technik GmbH

Otto-Roehm-Strasse 69
D-64293 Darmstadt
Germany

Info: | info@peak-system.com
Support: | support@peak-system.com
Web: | www.peak-system.com

Copyright © 2017 PEAK-System Technik GmbH. All rights reserved.

Windows® is a registered trademark of Microsoft Corporation in the United States and other countries. All other product names mentioned herein may be the trademarks or registered trademarks of their respective companies. Furthermore, "™" and "®" are not mentioned in each case in this help.

Last update: 2017-11-03


Connecting to CAN Hardware

In order to work with PCAN-View, you first need to establish a connection with a PCAN hardware, or with a PCAN net, if available.

To connect PCAN-View to a PCAN hardware:

  1. On the CAN menu, choose the Connect command. The Connect dialog box is shown.

  2. In the Connect dialog box, select the PCAN hardware with which you want to establish a connection, or select a PCAN net, if available.

  3. If you have selected a PCAN hardware, choose the bit rate that you would like to use from the Bit rate drop-down list.

  4. Optionally, configure the Reception filter in the Filter settings group box. Enter a range of CAN message IDs you would like to receive in the From and To fields. The default setting opens the filter so that all Standard and Extended ID's will be received.

  5. Press OK. If an error occurs and the connection could not be established, an error message is shown.

See also

Connect Dialog Box

Transmitting CAN Messages

Receiving CAN Messages


Receiving CAN Messages

After PCAN-View has been successfully connected to a CAN hardware or a PCAN-net (if available), all CAN messages on the bus that pass the message filter of the CAN controller are shown in hexadecimal notation in the Receive list.

The message filter can be configured in the Connect dialog box.

See also

Transmitting CAN Messages


Transmitting CAN Messages

CAN messages can be transmitted to other CAN nodes by creating a new transmit message in the Transmit list. See Editing the Transmit List.

After a transmit message is created, the message will be transmitted either periodically, or can be transmitted manually by the user, according to the configured transmission cycle time.

Transmitting Messages Manually

The messages that are currently selected in the Transmit list will be transmitted once, if you select the Send command from the Transmit menu, of if you press the [Space] key on the keyboard. You can also transmit a single message with a double-click on the respective message in the Message or DLC column.

Transmitting Messages Periodically

A message can be transmitted periodically if the transmission cycle time is configured to a value higher than 0 ms. To change a manual message into a periodic message, press the [Enter] key while the message is selected to display the Edit Message dialog box. Then enter the desired transmission cycle time in the Cycle Time field, and make sure that the Paused option is not activated. Finally, press OK.

To stop the periodic sending of a message, open the Edit Message dialog box for a message and activate the Paused option. You can also select one or more periodic transmit messages in the list and press the [Pause] key on the keyboard, which will toggle the Paused option for all selected messages.

Messages in the transmit list will also be transmitted automatically to reply received Remote Transmit Request frames. See Replying to Remote Request Messages.

See also

Editing the Transmit List

Recording CAN Messages


Editing the Transmit List

CAN messages can be transmitted by creating new entries in the Transmit list.

To transmit a new CAN message:

  1. On the Transmit menu, select the New Message command.

  2. Enter the CAN ID of the new message in the ID field in hexadecimal notation.

  3. Select the Data Length Code of the message in the DLC field. This sets the number of data bytes (0-8) the new message will have.

  4. In the Data fields, enter the message's data bytes in hexadecimal notation.

  5. Optionally, if the message shall be transmitted periodically, enter a transmission interval in the Cycle Time field, in Milliseconds.

  6. Press OK. The new CAN message is added to the Transmit List on the Receive/Transmit tab, and is automatically selected.

  7. Finally, if the message is not a periodic transmit message, you can send the message by either selecting the Send command from the Transmit menu, or by pressing the [Space] key on the keyboard.

Transmit messages that are added to the Transmit List of the Receive/Transmit tab are saved in the Windows Registry when you exit the program. If you restart PCAN-View later, all previously configured Transmit messages are restored automatically.

The following commands can be used to edit the entries in the Transmit list:

Command | Key Shortcut / Menu Command | Symbol | Description
New Message | [Ins] Transmit | New Message |  | Opens the Edit Message Dialog Box to create a new transmit message in the Transmit list.
Edit Message | [Enter] Transmit | Edit Message |  | Opens the Edit Message Dialog Box to edit parameters of the message that is selected in the Transmit list.
Delete | [Del] Edit | Delete |  | Deletes the selected CAN messages from the Transmit list.
Clear All | [Shift+Esc] Edit | Clear All |  | Removes all CAN messages from the Receive list or Transmit list.
Copy | [Ctrl+C] Edit | Copy |  | Copies the selected CAN messages to the Clipboard.
Cut | [Ctrl+X] Edit | Cut |  | Cuts the selected CAN messages and puts them on the Clipboard.
Paste | [Ctrl+V] Edit | Paste |  | Inserts the Clipboard contents into the Transmit list.

See also

Menu Commands


Recording CAN Messages

PCAN-View contains a Tracer (data logger) that can be used to record the communication on a CAN bus. During recording, the CAN messages are stored in the working memory of the PC, which can then be saved in a file. To monitor the recording, select the Trace tab.

The Tracer can be configured to operate in linear buffer mode or in ring buffer mode. In linear buffer mode, once the buffer is completely filled, the recording is stopped. In ring buffer mode, if the buffer is full, the oldest message in the buffer will be overwritten when a new message is recorded.

The Tracer has a fixed buffer size of 100,000 messages.

The following commands can be used to control the Tracer:

Command | Key Shortcut / Menu Command | Symbol | Description
Trace Start | [Ctrl+T] Trace | Start |  | Starts the recording of CAN messages.
Trace Pause | Trace | Pause |  | Pauses the recording of CAN messages.
Trace Stop | [Ctrl+Alt+T] Trace | Stop |  | Stops the recording of CAN messages.
Trace Save | [Shift+Ctrl+S] Trace | Save |  | Saves the recorded CAN messages to a file.
Linear Buffer | Trace | Linear Buffer |  | Configures the tracer to operate in linear buffer mode. When the buffer is completely filled, the recording is stopped.
Ring Buffer | Trace | Ring Buffer |  | Configures the tracer to operate in ring buffer mode. If the buffer is full, the oldest message is overwritten when a new message is recorded.

See also

Menu Commands


Replying to Remote Request Messages

When a Remote Transmit Request (RTR) frame is received, PCAN-View checks if matching data messages exist in the transmit list, according to the CAN identifier. If so, the found messages are transmitted as an reply to the RTR. The Trigger column in the Transmit list then indicates "RTR" for these messages.

Note

RTR messages in the Transmit list will never be transmitted as an answer to received Remote Transmit Request frames.

The Data Length Code of a received Remote Transmit Request frame is not used for the decision which data frame messages should be transmitted to reply to the RTR. Only the CAN identifier must match.


Main Window

The main PCAN-View window contains the following sections, from top to bottom:

  • Menus

  • Toolbar - The toolbar allows a quick access to the most frequently used commands.

  • Tabs - The different functions of PCAN-View are arranged on tabs. Which tabs are available depends on the connected PCAN hardware.
    PCAN-View supports the following tabs:

Tab | Description
Receive/Transmit | Shows received and transmitted CAN messages.
Trace | Allows the recording of CAN messages.
Bus Load | PCAN-USB Pro, PCAN-USB FD, PCAN-USB Pro FD only: Allows measurement of the bus load.
Error Generator | PCAN-USB Pro, PCAN-USB FD, PCAN-USB Pro FD only: Allows the generation of Error Frames.
PCAN-... | Shows special values and parameters of the currently connected PCAN hardware.

  • Status Bar - Displays information about the current connection, the status of the connected PCAN hardware, and contains some error counters.

You can change the active tab by pressing [Ctrl+Tab] or [Shift+Ctrl+Tab].

Some tabs can be undocked from the main window. Undockable Tabs are: Trace, Bus Load, and Error Generator. To undock a tab, either double-click on the tab, or choose the Make Floating command from the tab's context menu (right mouse click). Do dock a floating window again to the main window, double-click onto the title bar of the floating window, or choose the Dock to Main Window command from the window's context menu.

See also

Menu Commands

Toolbar

Status Bar


Menu Commands

  • File Menu

  • CAN Menu

  • Edit Menu

  • Transmit Menu

  • View Menu

  • Trace Menu

  • Window Menu

  • Help Menu

File

Command | Icon | Shortcut | Description
Open |  | [Ctrl+O] | Opens a previously saved Transmit list file.
Recent Files |  |  | Contains a list of the most recently used Transmit list files.
Save |  | [Ctrl+S] | Saves the current Transmit list to file.
Settings |  |  | Contains sub-menus that allow you to change various application settings.
Exit |  | [Alt+F4] | Quits the application.

CAN

Command | Symbol | Shortcut | Description
Connect |  | [Ctrl+B] | Opens the Connect dialog box to connect the application to a CAN hardware or PCAN-net.
Disconnect |  | [Ctrl+D] | Disconnects the active CAN connection.
Reset |  | [Esc] | Resets the CAN controller, clears the Receive list, and sets the message counters in the Transmit list to 0.

Edit

Command | Symbol | Shortcut | Description
Cut |  | [Ctrl+X] | Cuts the selection and puts it on the Clipboard.
Copy |  | [Ctrl+C] | Copies the selected CAN messages to the Clipboard.
Paste |  | [Ctrl+V] | Inserts the Clipboard contents into the Transmit list.
Delete |  | [Del] | Deletes the selected CAN messages from the Receive list or Transmit list.
Select All |  | [Ctrl+A] | Selects all CAN messages in the Receive list or Transmit list.
Clear All |  | [Shift+Esc] | Removes all CAN messages from the Receive list or Transmit list.

Transmit

Command | Symbol | Shortcut | Description
New Message |  | [Ins] | Opens the Edit Message dialog box to create a new transmit message in the Transmit list.
Edit Message |  | [Enter] | Opens the Edit Message dialog box to edit parameters of the message that is selected in the Transmit list.
Send |  | [Space] | Sends the messages that are selected in the Transmit list.
Pause / Resume |  | [Pause] | Pauses or resumes periodic transmit messages.

View

Command | Symbol | Shortcut | Description
Receive / Transmit |  | [Alt+1] | Activates/shows the Receive / Transmit tab.
Trace |  | [Alt+2] | Activates/shows the Trace tab.
PCAN-... |  | [Alt+3] | Activates the tab page of the currently used PCAN hardware (only available if PCAN-View is connected to a PCAN hardware).
Bus Load |  | [Alt+4] | Activates the Bus Load tab (only available if PCAN-View is connected to a PCAN hardwaer that supports this function, e.g. PCAN-USB Pro, PCAN-USB FD, PCAN-USB Pro FD, PCAN-PCI Express FD).
Error Generator |  | [Alt+5] | Activates the Error Generator tab (only available if PCAN-View is connected to a PCAN hardware that supports this function, e.g. PCAN-USB Pro, PCAN-USB FD, PCAN-USB Pro FD, PCAN-PCI Express FD).

Trace

Command | Symbol | Shortcut | Description
Start |  | [Ctrl+T] | Starts the recording of CAN messages.
Pause |  |  | Pauses the recording of CAN messages.
Stop |  | [Ctrl+Alt+T] | Stops the recording of CAN messages.
Save |  | [Shift+Ctrl+S] | Saves the recorded CAN messages to a file.
Buffer Size |  |  | Configures the buffer size. The highest possible size is 1000000 messages.
Linear Buffer |  |  | Configures the tracer to operate in linear buffer mode. When the buffer is completely filled, the recording is stopped.
Ring Buffer |  |  | Configures the tracer to operate in ring buffer mode. If the buffer is full, the oldest message is overwritten when a new message is recorded.
Log Data Frames |  |  | This option determines whether data frames are recorded.
Log RTR |  |  | This option determines whether Remote Transmit Requests are recorded.
Log Status Changes |  |  | This option determines whether hardware status changes are recorded.
Log Error Frames |  |  | This option determines whether Error Frames are recorded.
Log Error Counter Changes |  |  | This option determines whether changes of error counter values are recorded.
Log Events |  |  | This option determines whether events are recorded. Events occur e.g. when Plug-and-Play CAN hardware is plugged in or out.

Window

Command | Symbol | Shortcut | Description
Stay on Top |  | [Ctrl+I] | Shows the PCAN-View application window on top of all other windows.
Make Floating |  |  | Undocks the active tab from the main window and shows it as a floating window. This command is available for the tabs Trace, Error Generator, and Bus Load.

Help

Command | Symbol | Shortcut | Description
PCAN-View Help |  | [F1] | Shows the table of contents for the online documentation.
Device Driver Version |  |  | Displays information about the PCAN device driver currently in use.
About |  |  | Displays information about the program, version, and copyright.


Toolbar

The Toolbar can be used to quickly access the most important functions of PCAN-View.

The following Toolbar buttons are available:

Button | Command | Description | Alternative
 | Open | Opens a previously saved Transmit list file. | [Ctrl+O] File | Open...
 | Save | Saves the current Transmit list to file. | [Ctrl+S] File | Save
 | Connect | Opens the Connect dialog box to connect the client to a CAN hardware or PCAN-net. | [Ctrl+B] CAN | Connect...
 | Reset | Resets the CAN controller, clears the Receive list, and resets the message counters in the Transmit list. | [Esc] CAN | Reset
 | New Message | Opens the Message Editing Window to create a new transmit message in the Transmit list. | [Ins] Transmit | New Message...
 | Edit Message | Opens the Message Editing Window to edit parameters of the message that is selected in the Transmit list. | [Enter] Transmit | Edit Message...
 | Cut | Cuts the selection and puts it on the Clipboard. | [Ctrl+X] Edit | Cut
 | Copy | Copies the selected CAN messages to the Clipboard. | [Ctrl+C] Edit | Copy
 | Paste | Inserts the Clipboard contents into the Transmit list. | [Ctrl+V] Edit | Paste
 | Start Trace | Starts the recording of messages. | [Ctrl+T] Trace | Start
 | Pause Trace | Pauses the recording of messages. | Trace | Pause
 | Stop Trace | Stops the recording of messages. | [Shift+Ctrl+T] Trace | Stop
 | PCAN-View Help | Shows the table of contents for the online documentation. | Help | PCAN-View Help
 | About | Displays information about the program, version, and copyright. | Help | About...

See also

Menu Commands


Status Bar

The status bar displays information about the current connection, the status of the connected PCAN hardware, and contains some error counters.

Status

Displays the status of the connected PCAN hardware.

The error counters display the following values:

Overruns

If the CAN controller receives so many messages that triggered hardware interrupts can not all be processed, then this field displays the number of missed messages. Possible cause could be a computer that is too slow.

QXmtFulls

If the device driver is not able to send all messages to the CAN controller that were written into its transmit queue, then this field shows the number of messages that were lost. Possible causes can be a low Baud rate, high bus load, or an error on the bus. This error occurs with delay, since the transmit queue has to be filled completely first. The transmit queue has a size of 32767 messages.


Connect Dialog Box

After starting PCAN-View, the Connect dialog box will be displayed. In order to work with PCAN-View, you first need to establish a connection with a PCAN hardware, or with a PCAN net, if available.

To access the Connect dialog box, select the Connect command on the CAN menu, or click the [image] button on the toolbar.

Available PCAN hardware (and PCAN nets)

This list shows all available PCAN hardware and PCAN nets, with which you can establish a connection. If at least one PCAN net is defined for a hardware, you can expand the node of the corresponding hardware entry to create a tree-like view of all connectable resources. If internal nets are defined for any PCAN device, an Internal node is shown at the top of the list, which groups all available internal nets of all devices.

Add

The Add button is only visible if at least one PCAN device driver is installed that supports Non-Plug-and-Play PCAN hardware.

Clicking this button shows the Add CAN Hardware dialog box, which you can use to add a Non-Plug-and-Play PCAN hardware to the Available CAN hardware list, for example a PCAN-Dongle or PCAN-ISA card. Non-Plug-and-Play hardware is not automatically detected by the operating system, you must add and configure the hardware manually.

Delete

This button is only visible if at least one PCAN device driver is installed that supports Non-Plug-and-Play PCAN hardware.

You can use the Delete button to remove a formerly added Non-Plug-and-Play hardware. To delete such a hardware, select the hardware in the list and click the Delete button. The Delete button is enabled only if you select a Non-Plug-and-Play hardware in the list.

CAN FD

Activate this option if you want to send and receive CAN FD messages.

This option is only changeable, if you select a PCAN hardware in the Available CAN hardware list that is compatible with CAN FD.

Clock Frequency

Chooses the clock frequency that serves as the base of the bit rate with which the CAN controller shall be initialized. The clock frequencies available here are determined by the predefined bit rates.

If you select a PCAN hardware in the Available CAN hardware list that is equipped with a SJA1000 CAN controller, the clock frequency is set to 8 MHz and cannot be changed.

For SJA1000-based PCAN hardware

The following controls are only visible if you select a PCAN hardware in the Available CAN hardware list that is equipped with a SJA1000 CAN controller, or if you select a PCAN net that is associated with such a hardware:

Bit rate

This drop-down list offers various transfer rates.

This drop-down list is only enabled if you select a PCAN hardware in the Available CAN hardware list. If you select a PCAN-net, if one is available, the bit rate is determined by the net.

Bus Timing Register

This field shows the SJA1000 bus timing register value (BTR0 / BTR1) for the bit rate selected in the Bit rate drop-down list, in hexadecimal notation.

For CAN-FD-compatible PCAN hardware

The following controls are only visible if you select a PCAN hardware in the Available CAN hardware list that is CAN-FD-compatible, or if you select a PCAN net that is associated with such a hardware:

Clock Frequency

Chooses the clock frequency that serves as the base of the bit rate with which the CAN controller shall be initialized. The clock frequencies available here are determined by the predefined bit rates.

Nominal Bit rate

Chooses the nominal bit rate of the CAN FD bus.

This drop-down list is only enabled if you select a PCAN hardware in the Available CAN hardware list. If you select a PCAN-net, if one is available, the nominal bit rate is determined by the net.

Data Bit rate

If the CAN FD option is activated, you can choose an additional data bit rate for the CAN FD bus here. The bit rate selected is used to transfer the data fields of a CAN FD frame with a higher bit rate. This higher bit rate is applied to those CAN FD messages that have the "Bit Rate Switch" flag set.

This drop-down list is only enabled if you select a PCAN hardware in the Available CAN hardware list. If you select a PCAN-net, if one is available, the data bit rate is determined by the net.

Filter settings

Standard/Extended

These options select a filter configuration for Standard Frames (11-bit CAN identifiers) or Extended Frames (29-bit CAN identifiers).

From/To

These fields allow an adjustment of the lowest and the highest CAN identifiers that pass through the acceptance filter of PCAN-View. If you select the Standard option, you can enter a maximum identifier range from 0 to 7FFh. If you select the Extended option, identifiers from 0 to 1FFFFFFFh are permitted. The default settings adjust the filter to receive all CAN messages on the bus.

Other settings and commands

Listen-only mode

Enables the Listen-only mode of the CAN hardware. In this mode, the CAN controller does not acknowledge received CAN frames on the bus, so this mode is ideally suited to passively monitor a CAN network.

Manage Bit rates (selectable via the [image] button)

Displays a dialog window where you can create your own bit rates or customize the predefined ones.

Copy to Clipboard (selectable via the [image] button)

Copies the complete bit rate definition as text to the Windows Clipboard. Example:

"f_clock=20000000, nom_brp=5, nom_tseg1=2, nom_tseg2=1, nom_sjw=1, data_brp=2, data_tseg1=3, data_tseg2=1, data_sjw=1"

See also

Add CAN Hardware Dialog Box


Add CAN Hardware Dialog Box

This dialog box can be used to add Non-Plug-and-Play CAN hardware to the Connect dialog box.

To access the Add CAN Hardware dialog box, press the Add button in the Connect dialog box. The Add button is only available if a PCAN driver is installed that supports Non-Plug-And-Play PCAN hardware.

Device

This drop-down list shows all installed devices that support Non-Plug-and-Play PCAN hardware. Possible devices are: Peakcan, ISA, or Dongle.

Type of CAN Hardware

If a device was selected from the Device drop-down list, this list shows the types of PCAN hardware that is supported by the device.

Description

This field shows a short description of the selected hardware type.

I/O Address

Selects the I/O address that the new hardware uses.

Interrupt

Selects the interrupt that the new hardware uses.

To add CAN hardware manually, select the hardware type from the list, select correct I/O address and Interrupt resources used by the hardware, and press OK. If the selected hardware was found using the indicated resources, it will be added to the list of installed hardware, otherwise an error message will be shown.

See also

Connect Dialog Box


Edit Message Dialog Box

The Edit Message dialog box can be used to edit the parameters of a CAN message in the Transmit list.

To access the Edit Message dialog box to create a new Transmit message, select the New Message command on the Transmit menu, or press the [image] button on the toolbar. To access the Edit Message dialog box to edit a selected Transmit message, select the Edit Message command on the Transmit menu, or press the [image] button on the toolbar.

ID

This is the CAN identifier (hexadecimal format) of the message.

DLC

This field specifies the Data Length Code of the CAN message, which is the number of data bytes of the message (0 to 8). If the message is a Remote Transmit Request frame (RTR), the number of data bytes for the requested message is defined here.

Data

The data bytes of the message in hexadecimal notation.

Pressing the ... button next to the data byte fields opens the Edit Data dialog box, where you can manipulate the data bytes of the message using a hex editor. This is especially useful when dealing with CAN FD messages, which can have up to 64 data bytes.

Cycle Time

The duration of an interval (in Milliseconds) for periodic message transmission. If the message shall be transmitted manually, or only as a reply to received Remote Transmit Request frames, enter the value '0'.

Paused

If you set a check mark in this box, and in the Cycle Time field enter a value higher than 0, the periodic transmission of the transmit message will be interrupted. If you clear the check mark from this box, the periodic transmission of the message will be started as soon as you close the dialog box by pressing OK.

Comment

An arbitrary text that comments the message.

Message Type

Extended Frame

This option must be activated if an Extended Frame shall be created. Extended Frames are CAN messages that have a 29-bit CAN identifier according to CAN specification 2.0B.

Remote Request

This option must be activated if a Remote Transmit Request frame shall be created. In this case, the data byte fields will be hidden.

CAN FD

Defines the CAN message as a CAN FD message. A CAN FD message can have up to 64 data bytes.

This message type is only available if PCAN-View is connected to a CAN-FD-capable PCAN hardware.

Bit Rate Switch

Sets the "Bit Rate Switch" flag for a CAN FD message. If a separate data bit rate was activated when the CAN connection was established, the data fields in a CAN frame will be transferred with this higher bit rate for all CAN FD messages that have the Bit Rate Switch flag set.

This message type is only available if PCAN-View is connected to a CAN-FD-capable PCAN hardware.

See also

Editing the Transmit List

Transmitting CAN Messages

Edit Data Dialog Box

Connect Dialog Box


Edit Data Dialog Box

Use the Edit Data dialog box to manipulate the raw data of a message.

The Edit Data dialog box can be accessed by pressing the ... button next to the data byte fields in the Edit Message dialog box.

Loads the data from a file.

Saves the data to a file.

Sets all data bytes to zero.

(Hex Editor)

In the Hex Editor, you can edit the data bytes of message by entering hex values or characters. By pressing [Tab] on the keyboard you can move the caret between the hex-editing area on the left and the ASCII representation of the data on the right side, where you can enter characters instead of hex codes. If the Hex Editor has the input focus, to leave the Hex Editor using the keyboard, press [Ctrl+Tab] or [Shift+Ctrl+Tab].

The Hex Editor display can be customized using the context menu. You can choose the number of displayed data bytes per row (8, 10, or 16) and the number of data bytes per column (1, 2, or 4).

See also

Edit Message Dialog Box


Receive/Transmit Tab

The Receive/Transmit tab is the central element of PCAN-View. It contains the Receive List and the Transmit List.

Both lists are labeled vertically on the left side of the window (Receive and Transmit). The Receive List displays all CAN messages that are received by PCAN-View, and the Transmit List contains all CAN messages that are transmitted by PCAN-View.

The sizes of the lists on the Receive/Transmit tab can be adjusted using the horizontal separator bar between the two lists, by dragging it with the mouse.

One of the two lists can also be maximized, so that it occupies the whole area of the Receive/Transmit tab:

Button Symbol | Description
 | Maximizes the corresponding list. Alternatively, the [+] key can be pressed on the keyboard while the list has the input focus.
 | Restores the initial partitioning of Receive list and Transmit list. Alternatively, the [-] key can be pressed on the keyboard.

The input focus can be toggled between the two lists by pressing the [Tab] key.

You can navigate within the message lists with the arrow keys [Up] and [Down]. To select more than one message, hold down the [Shift] key and move the selection with either the arrow keys or by clicking with the mouse.

See also

Receiving CAN Messages

Transmitting CAN Messages

Editing the Transmit List


Receive List

The Receive list displays the received CAN messages. The messages are sorted by their CAN identifiers in ascending order. Therefore, messages of high priority are shown at the top of the list.

The Receive list contains the following columns:

CAN-ID

CAN identifier of the message in hexadecimal format. 0 to 7FFh for 11-bit identifiers, 0 to 1FFFFFFFh for 29-bit identifiers (CAN specification 2.0B).

Type

Type of the CAN message. The individual types are represented by colored indicators.

The following indicators can be displayed:

Type | Description
No display | 11- or 29-bit data message
 | Remote Request Frame
 | CAN FD message
 | CAN FD message with Bit Rate Switch set
or | CAN FD message with set Error State Indicator flag, i.e. the sender of the message was in the "Error Passive" state

DLC

Data length code of the message (CAN: 0 to 8; CAN FD: 0 to 15).

Length

Number of data bytes. Conventional CAN messages can have a length of up to 8 data bytes.

For CAN FD, the maximum number of data bytes is 64, whereas the following relationship between DLC and Length applies:

DLC | Length
<= 8 | = DLC
9 | 12
10 | 16
11 | 20
12 | 24
13 | 32
14 | 48
15 | 64

Data

Values of the messages' data bytes in hexadecimal notation, or the text "Remote Request", if a Remote Transmit Request frame has been received.

Cycle Time

Time interval between the last two received messages with the same ID, in Milliseconds.

Count

Number of received messages since last reset (pressing [Esc] on the keyboard performs a hardware and counter reset).

See also

Transmit List

Receive/Transmit Tab


Transmit List

The Transmit list contains messages that can be transmitted by PCAN-View. The messages are sorted by their CAN identifier in ascending order. The Transmit list can contain multiple identical CAN messages.

The Transmit list contains the following columns:

CAN-ID

CAN identifier of the message in hexadecimal format. 0 to 7FFh for 11-bit identifiers, and 0 to 1FFFFFFFh for 29-bit identifiers (CAN specification 2.0B).

Type

Type of the CAN message. The individual types are represented by colored indicators.

The following indicators can be displayed:

Type | Description
No display | 11- or 29-bit data message
 | Remote Request Frame
 | CAN FD message
 | CAN FD message with Bit Rate Switch set

DLC

Data length code of the message (CAN: 0 to 8; CAN FD: 0 to 15).

Length

Number of data bytes. Conventional CAN messages can have a length of up to 8 data bytes.

For CAN FD, the maximum number of data bytes is 64, whereas the following relationship between DLC and Length applies:

DLC | Length
<= 8 | = DLC
9 | 12
10 | 16
11 | 20
12 | 24
13 | 32
14 | 48
15 | 64

Data

Values of the messages' data bytes in hexadecimal notation, or the text "Remote Request", if the message represents a Remote Transmit Request (RTR) frame.

Cycle Time

The time interval, in which the message is transmitted periodically, in Milliseconds. If the cycle time of the message was set to 0, the text "Wait" is shown. In this case, the message has to be sent manually, or is sent automatically as a reply to a received Remote Transmit Request frame that has a matching CAN-ID.

Count

Number of transmitted messages since last reset (pressing [Esc] on the keyboard performs a hardware and counter reset).

Trigger

Reason for the last transmission of the message. Possible triggers are:

  • Manual: The message has been transmitted manually by the user.

  • Time: The message is transmitted periodically.

  • RTR: The message has been transmitted as a reply to a received Remote Transmit Request frame.

Comment

The comment that was specified for the message.

To create new transmit messages, see Editing the Transmit List.

See also

Receive List

Receive/Transmit Tab


Trace Tab

On the Trace tab, you can inspect the contents and status of the trace buffer.

Status Bar

At the top of the window, a status bar contains several indicators, which show detailed information about the operational state of the tracer, and about the contents of the buffer. The status bar fields are, from left to right:

  • State of operation
    Gives information whether the recording is stopped, started, or paused.

  • Recording duration
    Shows the duration between the start of the recording and the time of the latest recorded message.

  • Filling level
    The current filling level of the buffer in Percent.

  • Buffer Type
    Indicates, whether the data buffer is configured as a linear buffer or a ring buffer. You can switch the buffer type by double-clicking on the indicator with the mouse.

  • Received messages
    The number of received messages in the buffer.

  • Transmitted messages
    The number of transmitted messages the buffer.

  • Status changes
    The number of hardware status changes in the buffer.

  • Errors
    The number of Error Frames in the buffer.

  • Other
    The number of events and Error Counter changes in the buffer.

Columns of the Trace list

Time

The time in seconds that has elapsed since the recording was started, with a resolution of 1/10 millisecond.

Type

The type of the message. The following types are possible:

  • Data
    A Data frame.

  • RTR
    A Remote Transmit Request frame.

  • Status
    A hardware status.

  • Error
    An Error frame. Error Frames include Bit Errors, Form Errors, Stuff Errors, or Other Errors.
    For a description of the different bus errors, see NXP (formerly Philips) Application Note AN97076, "SJA1000 Stand-alone CAN controller", section 5.2.3.

  • Error Counter
    One of the error counters values in the CAN controller has changed.

  • Event
    Indicates hardware plug-in/out events.

ID

The CAN identifier of the message. 11-bit CAN-IDs are shown with a 3-digit ID, 29-bit CAN-IDs are shown with an 8-digit ID.

DLC

The Data Length Code of the message (CAN: 0-8; CAN FD: 0-15).

Data

The data bytes of the recorded message.

If the message is a Remote Transmit Request frame, the text Remote Request is displayed.

If the message is an Error Frame, additional information about the Error Frame is displayed here. RxErr and TxErr values show the contents of the receive and transmit error counter registers of the CAN controller.

See also

Recording CAN Messages


Bus Load Tab

The Bus Load tab shows the current load of the connected CAN bus, and it displays some statistical information concerning the bus load.

The Bus Load tab is only available if PCAN-View is connected to a PCAN-USB Pro, PCAN-USB FD, or PCAN-USB Pro FD adaptor.

Enable Bus Load Measurement

Allows you to enable or disable the bus load measurement. The bus load measurement is enabled by default.

Bus Load

Shows the current bus load in Percent.

Bus Load History

A graph showing the bus load over time.

Statistics

These statistical values show the minimum and maximum bus load, and the bus load arithmetic mean value.

Reset

Resets the statistical values.


Error Generator Tab

The Error Generator tab can be used to generate Error Frames on a connected CAN bus.

The Error Generator tab is only available if PCAN-View is connected to a PCAN-USB Pro, PCAN-USB FD, or PCAN-USB Pro FD adaptor.

Destroy Single Frame

You can use this function to destroy single CAN frames on the bus.

Bit Position

Determines the bit position within the CAN frame, where the error is generated.

Do it

If you press this button, the next received or transmitted CAN frame will be destroyed at the selected bit position.

Destroy Multiple Frames

You can use this function to repeatedly destroy CAN frames that have a certain CAN-ID.

CAN-ID

Specifies the ID of the CAN frames that you would like to destroy.

Bit Position

Determines the bit position within the CAN frame, where the error is generated.

Number of Frames to ignore

Determines the number of successive CAN frames that are ignored before a frame is destroyed.

Number of Frames to destroy

Determines the number of CAN frames that are destroyed in succession.

Apply

Activates the Error Generator with the specified parameters.

Disable

Disables the Error Generator.

Note

If the Reset command from the CAN menu is selected, the Error Generator will be deactivated also.


Hardware Status

The status of a PCAN hardware will be displayed in the status bar of the main window, and in the Trace list on the Trace tab.

The following tables describe the status indicators, which, depending on the used CAN hardware and the installed PCAN driver may occur.

The following status indicators can occur if a PCAN driver with a version number 4 or later is installed for the used CAN hardware, and if PCAN-View is connected to another CAN hardware as a PCAN-USB, PCAN-USB Pro, or PCAN-USB Hub:

Status Description

OK

The CAN controller is in the "Error Active" state, i.e. all error counters are below the threshold 128.

Error Passive

The CAN controller is in the "Error Passive" state, i.e. at least one error counter reached the threshold 128.

Possible causes: the hardware is not connected correctly to the CAN bus, or an incorrect bit rate was selected.

Warning

One of the error counters reached the threshold for "Error Warning Limit", which is at 96 by default.

Bus-Off

The CAN controller has entered the "Bus-Off" state because a serious and continuous error exists on the bus (255 error points have been exceeded).

A possible cause can be a short circuit on the bus.

OVERRUN

The CAN controller receives so many messages that not all of the triggered hardware interrupts can be processed.

QOVERRUN

The reception queue is full.

The internal processing speed of the application is not high enough that all messages can be processed, which were written in the application's receive queue by the device driver.

QXMTFULL

The transmit queue is full.

The device driver is not able to send all messages to the CAN controller that were written into its transmit queue. Possible causes can be a low bit rate, high bus load, or an error on the bus. This error occurs with delay, since the transmit queue has to be filled completely first. The transmit queue has a size of 32767 messages.

The following status indicators can occur if a PCAN driver with a version number smaller than 4 is installed for the used CAN hardware, or if PCAN-View is connected to a PCAN-USB, PCAN-USB Pro, or PCAN-USB Hub:

Status Description

BUSLIGHT

Bus error: one of the error counters of the CAN controller reached the "light" limit (more than 0 error points).

BUSHEAVY

Bus error: one of the error counters of the CAN controller reached the "heavy" limit (at least 96 error points).

Possible causes: the hardware is not connected correctly to the CAN bus, or an incorrect bit rate was selected.

BUSOFF

The CAN controller has entered the "Bus-Off" state because a serious and continuous error exists on the bus (255 error points have been exceeded).

A possible cause can be a short circuit on the bus.

OVERRUN

The CAN controller receives so many messages that not all of the triggered hardware interrupts can be processed.

QOVERRUN

The reception queue is full.

The internal processing speed of the application is not high enough that all messages can be processed, which were written in the application's receive queue by the device driver.

QXMTFULL

The transmit queue is full.

The device driver is not able to send all messages to the CAN controller that were written into its transmit queue. Possible causes can be a low bit rate, high bus load, or an error on the bus. This error occurs with delay, since the transmit queue has to be filled completely first. The transmit queue has a size of 32767 messages.


Updating the Firmware

After starting the Firmware Update, the PCAN hardware is disconnected from the system and re-registered as a removable disk. If the Firmware is updated for the first time, Windows installs a suitable driver for the removable disk.

To update the firmware, please follow these steps:

  1. When the driver installation is complete for the removable disk, locate the new drive e.g. with the Windows File Explorer. The drive contains a file named "pcan-xyz.bin", the suffix "xyz" depends on the PCAN hardware used. For a PCAN-USB adapter, the file name is "pcan-usb.bin".

  2. Delete the "pcan-xyz.bin" file.

  3. Copy the new firmware file to the removable disk.

  4. If the file has been completely copied, the firmware update is also complete.

  5. Eject the removable disk e.g. by using Windows File Explorer. Right-click on the drive icon to open the context menu for the removable disk, and choose the Eject command.

  6. After ejecting the removable disk, the PCAN hardware is automatically reconnected with the system. You can check the new firmware version now in PCAN-View on the hardware tab of the PCAN hardware used.


PCAN-Chip USB Tab

You can use the PCAN-Chip USB tab to get general information about the hardware used, and to set the Device ID of a PCAN-Chip USB hardware.

Firmware Version

Displays the firmware version of the PCAN-Chip USB hardware.

Driver Version

Displays the version of the device driver that is currently loaded for the PCAN-Chip USB hardware.

Number of Channels

Displays the number of CAN channels supported by the PCAN-Chip USB hardware.

Part No.

If available, indicates the PEAK part number of the PCAN hardware.

Device ID

The Device ID is a one-byte value that is stored in the flash bank of a PCAN-Chip USB hardware. The Device ID is shown in the Connect dialog box to make it easier to identify specific adaptors, if more than one PCAN-Chip USB hardware is plugged into the computer at the same time.

Set

Press this button to store the entered Device ID in a PCAN-Chip USB hardware.


PCAN-Dongle Tab

You can use the PCAN-Dongle tab to get general information about the hardware used.

Driver Version

Displays the version of the device driver that is currently loaded for the PCAN-Dongle.

I/O Address

Displays the I/O address that the device driver uses to communicate with the PCAN-Dongle.

Interrupt

Displays the interrupt number that was assigned to the PCAN-Dongle.


PCAN-ExpressCard Tab

You can use the PCAN-ExpressCard tab to get general information about the hardware used, and to enable or disable the 5V output on pin 1 of the CAN connector of a PCAN-ExpressCard.

Firmware Version

Displays the firmware version of the PCAN-ExpressCard.

Driver Version

Displays the version of the device driver that is currently loaded for the PCAN-ExpressCard.

Number of Channels

Displays the number of CAN channels supported by the PCAN-ExpressCard.

Used Channel

Displays the number of the channel that is currently in use.

Part No.

If available, indicates the PEAK part number of the PCAN hardware.

5V Output on CAN connector

Displays whether the 5V output on pin 1 of the CAN connector is currently enabled.

Enable / Disable

Press this button to enable or disable the 5V output on pin 1 of the CAN connector.

Hint

For more information about the 5V output, see PCAN-ExpressCard User Manual, chapter 3.2.


PCAN-ExpressCard 34 Tab

You can use the PCAN-ExpressCard 34 tab to get general information about the hardware used.

Driver Version

Displays the version of the device driver that is currently loaded for the PCAN-ExpressCard 34.

Number of Channels

Displays the number of CAN channels supported by the PCAN-ExpressCard 34.

Part No.

If available, indicates the PEAK part number of the PCAN hardware.


PCAN-ISA Tab

You can use the PCAN-ISA tab to get general information about the hardware used.

Driver Version

Displays the version of the device driver that is currently loaded for the PCAN-ISA card.

I/O Address

Displays the I/O address that the device driver uses to communicate with the PCAN-ISA card.

Interrupt

Displays the interrupt number that was assigned to the PCAN-ISA card.


PCAN-PC Card Tab

You can use the PCAN-PC Card tab to get general information about the hardware used, and to enable or disable the 5V output on pin 1 of the CAN connector of a PCAN-PC Card.

Firmware Version

Displays the firmware version of PCAN-PC Card.

Driver Version

Displays the version of the device driver that is currently loaded for the PCAN-PC Card.

Number of Channels

Displays the number of CAN channels supported by the PCAN-PC Card.

Used Channel

Displays the number of the channel that is currently in use.

Part No.

If available, indicates the PEAK part number of the PCAN hardware.

5V Output on CAN connector

Displays whether the 5V output on pin 1 of the CAN connector is currently enabled.

Enable / Disable

Press this button to enable or disable the 5V output on pin 1 of the CAN connector.

Hint

For more information about the 5V output, see PCAN-PC Card User Manual, chapter 2.3.


PCAN-PCI Tab

You can use the PCAN-PCI tab to get general information about the hardware used.

Version

Displays the version of the PCAN-PCI card.

Driver Version

Displays the version of the device driver that is currently loaded for the PCAN-PCI card.

Number of Channels

Displays the number of CAN channels supported by the PCAN-PCI card.

Used Channel

Displays the number of the channel that is currently in use.

Part No.

If available, indicates the PEAK part number of the PCAN hardware.


PCAN-PCI Express Tab

You can use the PCAN-PCI Express tab to get general information about the hardware used.

Firmware Version

Displays the FPGA design version of the PCAN-PCI Express card.

Driver Version

Displays the version of the device driver that is currently loaded for the PCAN-PCI Express card.

Number of Channels

Displays the number of CAN channels supported by the PCAN-PCI Express card.

Used Channel

Displays the number of the channel that is currently in use.

Hardware Revision

Displays the hardware revision number of the PCAN-PCI Express card.

Part No.

If available, indicates the PEAK part number of the PCAN hardware.


PCAN-PCIe FD Tab

You can use the PCAN-PCIe FD tab to get general information about the hardware used.

Firmware Version

Displays the FPGA design version of the PCAN-PCIe FD card.

Driver Version

Displays the version of the device driver that is currently loaded for the PCAN-PCIe FD card.

Number of Channels

Displays the number of CAN channels supported by the PCAN-PCIe FD card.

Used Channel

Displays the number of the channel that is currently in use.

Hardware Revision

Displays the hardware revision number of the PCAN-PCIe FD card.

Part No.

If available, indicates the PEAK part number of the PCAN hardware.


PCAN-USB Tab

You can use the PCAN-USB tab to get general information about the hardware used, and to set the Device ID of a PCAN-USB hardware.

Firmware Version

Displays the firmware version of the PCAN-USB adaptor.

Driver Version

Displays the version of the device driver that is currently loaded for the PCAN-USB adaptor.

Number of Channels

Displays the number of CAN channels supported by the PCAN-USB adaptor.

Part No.

If available, indicates the PEAK part number of the PCAN hardware.

Device ID

The Device ID is a one-byte value that is stored in the flash bank of a PCAN-USB adaptor. The Device ID is shown in the Connect dialog box to make it easier to identify specific adaptors, if more than one PCAN-USB adaptor is plugged into the computer at the same time.

Set

Press this button to store the entered Device ID in a PCAN-USB adaptor.


PCAN-USB FD Tab

You can use the PCAN-USB FD tab to set the Device ID of a PCAN-USB FD hardware.

Firmware Version

Displays the firmware version of the PCAN-USB FD adaptor.

Driver Version

Displays the version of the device driver that is currently loaded for the PCAN-USB FD adaptor.

Number of Channels

Displays the number of CAN channels supported by the PCAN-USB FD adaptor.

Part No.

If available, indicates the PEAK part number of the PCAN hardware.

Device ID

The Device ID is a one-byte value that is stored in the flash bank of a PCAN-USB FD adaptor. The Device ID is shown in the Connect dialog box to make it easier to identify specific adaptors, if more than one PCAN-USB FD adaptor is plugged into the computer at the same time.

Set

Press this button to store the entered Device ID in a PCAN-USB FD adaptor.


PCAN-USB Hub Tab

You can use the PCAN-USB Hub tab to get general information about the hardware used, to set the Device ID of a PCAN-USB Hub hardware, and to enable or disable the PWR-OUT output on pin 9 of the CAN connector.

Firmware Version

Displays the firmware version of the PCAN-USB Hub.

Driver Version

Displays the version of the device driver that is currently loaded for the PCAN-USB Hub.

Number of Channels

Displays the number of CAN channels supported by the PCAN-USB Hub.

Part No.

If available, indicates the PEAK part number of the PCAN hardware.

Device ID

The Device ID is a one-byte value that is stored in the flash bank of a PCAN-USB Hub. The Device ID is shown in the Connect dialog box to make it easier to identify specific adaptors, if more than one PCAN-USB Hub is plugged into the computer at the same time.

Set

Press this button to store the entered Device ID in a PCAN-USB Hub.

PWR-OUT on CAN connector

Displays whether the PWR-OUT on pin 9 of the CAN connector is currently enabled.

Enable / Disable

Press this button to enable or disable PWR-OUT on pin 9 of the CAN connector.

Note

PWR-OUT can only be enabled if a power supply is connected to the Power socket and if the solder bridge JP103 on the PCB of the PCAN-USB Hub is closed. For more information, see PCAN-USB Hub User Manual, chapter 3.3.1.


PCAN-USB Pro Tab

You can use the PCAN-USB Pro tab to get general information about the hardware used, and to set the Device ID of a PCAN-USB Pro hardware.

Firmware Version

Displays the firmware version of the PCAN-USB Pro adaptor.

Driver Version

Displays the version of the device driver that is currently loaded for the PCAN-USB Pro adaptor.

Number of Channels

Displays the number of CAN channels supported by the PCAN-USB Pro adaptor.

Used Channel

Displays the number of the channel that is currently in use.

Part No.

If available, indicates the PEAK part number of the PCAN hardware.

Device ID

The Device ID is a 4-byte value that is stored in the flash bank of a PCAN-USB Pro adaptor. The Device ID is shown in the Connect dialog box to make it easier to identify specific adaptors, if more than one PCAN-USB Pro adaptor is plugged into the computer at the same time.

Set

Press this button to store the entered Device ID in a PCAN-USB Pro adaptor.


PCAN-USB Pro FD Tab

You can use the PCAN-USB Pro FD tab to get general information about the hardware used, and to set the Device ID of a PCAN-USB Pro FD hardware.

Firmware Version

Displays the firmware version of the PCAN-USB Pro FD adaptor.

Driver Version

Displays the version of the device driver that is currently loaded for the PCAN-USB Pro FD adaptor.

Number of Channels

Displays the number of CAN channels supported by the PCAN-USB Pro FD adaptor.

Used Channel

Displays the number of the channel that is currently in use.

Part No.

If available, indicates the PEAK part number of the PCAN hardware.

Device ID

The Device ID is a 4-byte value that is stored in the flash bank of a PCAN-USB Pro FD adaptor. The Device ID is shown in the Connect dialog box to make it easier to identify specific adaptors, if more than one PCAN-USB Pro FD adaptor is plugged into the computer at the same time.

Set

Press this button to store the entered Device ID in a PCAN-USB Pro FD adaptor.